package click.kamil.springstatemachineexporter.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.ArrayList;
import java.util.List;

@ToString
@Getter
@Setter
public class Transition {
    private TransitionType type;
    private List<State> sourceStates = new ArrayList<>();
    private List<State> targetStates = new ArrayList<>();
    private Event event;

    private List<Guard> guards = new ArrayList<>();
    private List<Action> actions = new ArrayList<>();

    private Integer order = null;  // optional order for withChoice or withJunction
}
